Skip to content
Start here

List destination addresses

client.emailRouting.addresses.list(AddressListParams { account_id, direction, page, 2 more } params, RequestOptionsoptions?): V4PagePaginationArray<Address { id, created, email, 3 more } >
GET/accounts/{account_id}/email/routing/addresses

Lists existing destination addresses.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Email Routing Addresses WriteEmail Routing Addresses Read
ParametersExpand Collapse
params: AddressListParams { account_id, direction, page, 2 more }
account_id: string

Path param: Identifier.

maxLength32
direction?: "asc" | "desc"

Query param: Sorts results in an ascending or descending order.

One of the following:
"asc"
"desc"
page?: number

Query param: Page number of paginated results.

minimum1
per_page?: number

Query param: Maximum number of results per page.

maximum50
minimum5
verified?: true | false

Query param: Filter by verified destination addresses.

One of the following:
true
false
ReturnsExpand Collapse
Address { id, created, email, 3 more }
id?: string

Destination address identifier.

maxLength32
created?: string

The date and time the destination address has been created.

formatdate-time
email?: string

The contact email address of the user.

maxLength90
modified?: string

The date and time the destination address was last modified.

formatdate-time
Deprecatedtag?: string

Destination address tag. (Deprecated, replaced by destination address identifier)

maxLength32
verified?: string

The date and time the destination address has been verified. Null means not verified yet.

formatdate-time

List destination addresses

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted
  apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const address of client.emailRouting.addresses.list({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(address.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "ea95132c15732412d22c1476fa83f27a",
      "created": "2014-01-02T02:20:00Z",
      "email": "user@example.com",
      "modified": "2014-01-02T02:20:00Z",
      "tag": "ea95132c15732412d22c1476fa83f27a",
      "verified": "2014-01-02T02:20:00Z"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 1,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "ea95132c15732412d22c1476fa83f27a",
      "created": "2014-01-02T02:20:00Z",
      "email": "user@example.com",
      "modified": "2014-01-02T02:20:00Z",
      "tag": "ea95132c15732412d22c1476fa83f27a",
      "verified": "2014-01-02T02:20:00Z"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 1,
    "total_pages": 100
  }
}